InformationObjectResponse
Date: 2013-06-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.contentmanagement.storagelayer.storagemanagementservice.stubs.response
Class InformationObjectResponse

    java.lang.Object
      org.gcube.contentmanagement.storagelayer.storagemanagementservice.stubs.response.AbstractSMSResponseConfig
          org.gcube.contentmanagement.storagelayer.storagemanagementservice.stubs.response.InformationObjectResponse

All Implemented Interfaces:
  SMSResponseConfig

    public class InformationObjectResponse

extends AbstractSMSResponseConfig

Author:
  Federico De Faveri defaveri@isti.cnr.it

Constructor Summary
`InformationObjectResponse(RawContentLocationConfig location, java.util.List<StorageHint> hints)`

Method Summary
`static InformationObjectResponse` | `completeInformationObject()`
`static InformationObjectResponse` | `completeInformationObjectWithContent(java.lang.String location)`
`static InformationObjectResponse` | `completeInformationObjectWithContentInMessage()`
`java.util.List<StorageHint>` | `getHints()`
`RawContentLocationConfig` | `getLocation()`
`static InformationObjectResponse` | `plainInformationObject()` Plain information object without properties or references.
`static InformationObjectResponse` | `plainInformationObjectWithContent(java.lang.String location)`
`static InformationObjectResponse` | `plainInformationObjectWithContentInMessage()`
`static InformationObjectResponse` | `plainInformationObjectWithProperties()` Plain information object with properties and raw content url in properties list.
`java.lang.String` | `toString()`

Methods inherited from class org.gcube.contentmanagement.storagelayer.storagemanagementservice.stubs.response.AbstractSMSResponseConfig
`getResponseType, isUseRS2, useRS2`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InformationObjectResponse

    public InformationObjectResponse(RawContentLocationConfig location,
                                     java.util.List<StorageHint> hints)

Method Detail

### plainInformationObject

    public static InformationObjectResponse plainInformationObject()

  Plain information object without properties or references.

  Returns:

### plainInformationObjectWithProperties

    public static InformationObjectResponse plainInformationObjectWithProperties()

  Plain information object with properties and raw content url in properties list.

  Returns:

### completeInformationObject

    public static InformationObjectResponse completeInformationObject()

### completeInformationObjectWithContent

    public static InformationObjectResponse completeInformationObjectWithContent(java.lang.String location)

### completeInformationObjectWithContentInMessage

    public static InformationObjectResponse completeInformationObjectWithContentInMessage()

### plainInformationObjectWithContent

    public static InformationObjectResponse plainInformationObjectWithContent(java.lang.String location)

### plainInformationObjectWithContentInMessage

    public static InformationObjectResponse plainInformationObjectWithContentInMessage()

### getLocation

    public RawContentLocationConfig getLocation()

  Returns:
    the location

### getHints

    public java.util.List<StorageHint> getHints()

  Returns:
    the hints

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD